Skip to main content
POST
/
merlin
/
pending
/
{id}
/
reject
Reject a pending import
curl --request POST \
  --url https://api.royalti.io/merlin/pending/{id}/reject \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "<string>"
}
'
import requests

url = "https://api.royalti.io/merlin/pending/{id}/reject"

payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};

fetch('https://api.royalti.io/merlin/pending/{id}/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "batchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "filePath": "/royalties/202401/DistroKid-202401.csv",
    "fileName": "<string>",
    "fileSize": 123,
    "contentHash": "<string>",
    "pathHash": "<string>",
    "confidenceScore": 0.87,
    "confidenceBreakdown": {
      "fileNaming": 123,
      "fileSize": 123,
      "dspFolder": 123,
      "headerFormat": 123,
      "periodDetection": 123,
      "sourceDetection": 123,
      "historicalSuccess": 123
    },
    "detectedDSP": "DistroKid",
    "detectedPeriod": "202401",
    "confirmedAccountingPeriod": "2024-01",
    "createdAt": "2023-11-07T05:31:56Z",
    "approvedAt": "2023-11-07T05:31:56Z",
    "approvedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
{
"status": "error",
"message": "Unauthorized"
}
{
"status": "error",
"message": "Resource not found"
}
This endpoint requires authentication. Include your Bearer token in the Authorization header.

Description

Authorization:
  • Required role: admin or higher

Code Examples

const response = await fetch('https://api.royalti.io/merlin/pending/example-id/reject', {
  method: 'POST',
  headers: {
    'Authorization': `Bearer ${token}`,
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "reason": "sample-reason"
  })
});

const data = await response.json();
console.log(data);
import requests

response = requests.post(
  'https://api.royalti.io/merlin/pending/example-id/reject',
  headers={
    'Authorization': f'Bearer {token}'
  },
  json={"reason":"sample-reason"}
)

data = response.json()
print(data)
curl -X POST https://api.royalti.io/merlin/pending/example-id/reject \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"reason":"sample-reason"}'

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"

Path Parameters

id
string<uuid>
required

Body

application/json
reason
string

Response

File rejected successfully

success
boolean
data
object